- job:
    name: trigger-96boards-hikey-edk2-openplatformpkg
    project-type: freestyle
    defaults: global
    logrotate:
        daysToKeep: 30
        numToKeep: 30
    properties:
        - authorization:
            anonymous:
                - job-read
    disabled: false
    node: triggers
    display-name: 'Trigger for 96boards - HiKey UEFI (edk2 OpenPlatformPkg)'
    scm:
        - git:
            url: https://github.com/96boards-hikey/edk2.git
            refspec: +refs/heads/hikey-aosp:refs/remotes/origin/hikey-aosp
            name: origin
            branches:
                - refs/heads/hikey-aosp
            basedir: linaro-edk2
            skip-tag: true
            shallow-clone: true
            clean: true
            wipe-workspace: false
    triggers:
        - pollscm: 'H/5 * * * *'
    wrappers:
        - timestamps
        - build-name:
            name: '#${BUILD_NUMBER}-${GIT_REVISION,length=8}'
    builders:
        - trigger-builds:
            - project: '96boards-hikey-uefi-openplatformpkg'
